# Class: TestExample

Defined in: | node_modules/codo/spec/_templates/methods/method_example.coffee

## Instance Method Summary

- # (void) run()

## Instance Method Details

# (void) run()

### Examples:

#### Run generation

    codo = require 'codo'

    file = (filename, content) ->
      console.log "New file %s with content %s", filename, content

    done = (err) ->
      if err
        console.log "Cannot generate documentation:", err
      else
        console.log "Documentation generated"

    codo.run file, done

Quickly fuzzy find classes, mixins, methods, file:

- T Open fuzzy finder dialog

Control the navigation frame:

- L Toggle list view
- C Show class list
- I Show mixin list
- F Show file list
- M Show method list
- E Show extras list

You can focus and blur the search input:

- S Focus search input
- Esc Blur search input